### Method

# AppStreamCompose Result update_component_gcid_with_string

#### Declaration [src]

    gboolean
    asc_result_update_component_gcid_with_string (
      AscResult* result,
      AsComponent* cpt,
      const gchar* data
    )

#### Description [src]

Update the global component ID for the given component. This is a convenience method for %asc_result_update_component_gcid.

#### Parameters

`cpt`

  Type: `AsComponent`

  The `AsComponent` to edit.

  The data is owned by the caller of the method.

`data`

  Type: `const gchar*`

  The data as string to include in the global component ID, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the component existed and was updated.